Bug 246513 - [regression] Line Edit Clear button does not clear content
Summary: [regression] Line Edit Clear button does not clear content
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml forms (show other bugs)
Version: SVN
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-02 15:13 UTC by David Palacio
Modified: 2011-07-19 20:43 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.7.0


Attachments
proposed patch fixing the issue for me (886 bytes, patch)
2011-06-30 20:02 UTC, Andrea Iacovitti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Palacio 2010-08-02 15:13:04 UTC
Version:           SVN (using Devel) 
OS:                Linux

The clear button <X] for line edit in html forms does not clear the content anymore. Clicking on it just moves the cursor to the beginning of the line.

Reproducible: Always
Comment 1 Andrea Iacovitti 2011-06-30 14:22:06 UTC
I verified this is a regression introduced by commit 7e0676525b4f7c13817abb2ec44eaebb90068aec
Comment 2 Andrea Iacovitti 2011-06-30 20:02:52 UTC
Created attachment 61495 [details]
proposed patch fixing the issue for me
Comment 3 Andrea Iacovitti 2011-06-30 20:10:05 UTC
However i'm unable to test the patch with touchscreens.
CC'ing the original committer then..
Comment 4 Andrea Iacovitti 2011-07-09 18:10:55 UTC
Git commit 0b7201c1fe4f12dc7b17abbf19047864d1cca302 by Andrea Iacovitti.
Committed on 09/07/2011 at 19:51.
Pushed by aiacovitti into branch 'KDE/4.7'.

Fix regression about input text clearButton stopping to work on khtml forms
BUG: 246513
FIXED-IN: 4.7.0

M  +2    -2    kdeui/widgets/klineedit.cpp     

http://commits.kde.org/kdelibs/0b7201c1fe4f12dc7b17abbf19047864d1cca302
Comment 5 Andrea Iacovitti 2011-07-09 19:50:16 UTC
Git commit cc0c1afd28eae2c761e514ba9bd0731c403302e5 by Andrea Iacovitti.
Committed on 09/07/2011 at 19:51.
Pushed by aiacovitti into branch 'master'.

Fix regression about input text clearButton stopping to work on khtml forms
BUG: 246513

M  +2    -2    kdeui/widgets/klineedit.cpp     

http://commits.kde.org/kdelibs/cc0c1afd28eae2c761e514ba9bd0731c403302e5
Comment 6 Andrea Iacovitti 2011-07-19 20:43:25 UTC
Git commit bbe998b3f3285ad09e0b464fbac9673d3c62c271 by Andrea Iacovitti.
Committed on 09/07/2011 at 19:51.
Pushed by aiacovitti into branch 'KDE/4.6'.

Backport to KDE/4.6
Fix regression about input text clearButton stopping to work on khtml forms
BUG: 246513

CCMAIL: kde@opensource.sf-tec.de

M  +2    -2    kdeui/widgets/klineedit.cpp

http://commits.kde.org/kdelibs/bbe998b3f3285ad09e0b464fbac9673d3c62c271